package examples.security.delegatingrealm;


import weblogic.utils.NestedRuntimeException;


/**
 * Thrown if an error occurs in the Delegating realm code.  It is an
 * unchecked exception because the underlying realm interfaces do not
 * provide for checked exceptions to indicate errors.
 *
 * @author Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.  
 */
public class DelegatingException
  extends NestedRuntimeException
{
  /**
   * Construct an exception with no detail message and no nested
   * Throwable.
   */
  public DelegatingException()
  {
    super();
  }

  /**
   * Construct an exception with the given detail message and no
   * nested Throwable.
   *
   * @param msg detail message
   */
  public DelegatingException(String msg)
  {
    super(msg);
  }

  /**
   * Construct an exception with no detail message and the given
   * nested Throwable.
   *
   * @param nested nested Throwable
   */
  public DelegatingException(Throwable nested)
  {
    super(nested);
  }

  /**
   * Construct an exception with the given detail message and nested
   * Throwable.
   *
   * @param msg detail message
   * @param nested nested Throwable
   */
  public DelegatingException(String msg, Throwable nested)
  {
    super(msg, nested);
  }
}
